/* Time-stamp: <2007-01-05 23:02:14 poser> */
/*
 * Copyright (C) 2006-2007 William J. Poser.
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of version 2.1 of the GNU Lesser General
 * Public License as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */

/* Number systems */

#define NS_ALLZERO (-2)
#define NS_UNKNOWN (-1)
#define NS_AEGEAN 0
#define NS_ARABIC 1
#define NS_ARABIC_ALPHABETIC 2
#define NS_ARABIC_EXTENDED 3
#define NS_ARMENIAN_ALPHABETIC 4
#define NS_BALINESE 5
#define NS_BENGALI 6
#define NS_BURMESE 7
#define NS_CHINESE 8
#define NS_COUNTING_ROD 9
#define NS_CYRILLIC_ALPHABETIC 10
#define NS_DEVANAGARI 11
#define NS_EGYPTIAN 12
#define NS_ETHIOPIC 13
#define NS_GLAGOLITIC_ALPHABETIC 14
#define NS_GREEK_ACROPHONIC 15
#define NS_GREEK_ALPHABETIC 16
#define NS_GUJARATI 17
#define NS_GURMUKHI 18
#define NS_HEBREW 19
#define NS_KANNADA 20
#define NS_KHAROSTHI 21
#define NS_KHMER 22
#define NS_KLINGON 23
#define NS_LAO  24
#define NS_LIMBU 25
#define NS_MALAYALAM 26
#define NS_MAYAN 27
#define NS_MONGOLIAN 28
#define NS_NEW_TAI_LUE 29
#define NS_NKO 30
#define NS_OLD_ITALIC 31
#define NS_OLD_PERSIAN 32
#define NS_ORIYA 33
#define NS_OSMANYA 34
#define NS_PHOENICIAN 35
#define NS_ROMAN 36
#define NS_SINHALA 37
#define NS_TAMIL 38
#define NS_TELUGU 39
#define NS_TENGWAR 40
#define NS_THAI 41
#define NS_TIBETAN 42
#define NS_WESTERN 43
#define NS_ALL  44
#define NS_ANY  45
#define NS_HEX  46

/* Error codes */
#define NS_BADCHARACTER 128
#define NS_DOESNOTFIT 129
#define NS_UNKNOWN_ERR 130
#define NS_BADBASE 131
#define NS_NOTCONSISTENTWITHBASE 132

/* Return formats - values for ReturnType*/
#define NS_RETURN_ULONG  0
#define NS_RETURN_STRING 1
#define NS_RETURN_MPZT 2


